#!/bin/sh
#
# dund:		DBHub Direct Connect Daemon
#
# chkconfig:	- 99 20
# description:	DBHub Direct Connect Daemon
#

# Source function library.
. /etc/rc.d/init.d/functions

DBHUB_BIN=/usr/bin/dbhub
DBHUB_ARGS="--logfile /var/log/dbhub.log -w /var/run/dbhub"

if [ "`whoami`" != "root" ];then
   echo "Permission denied, please run as root"
   exit 3
fi

start() 
{
        echo -n $"Starting dbhub: "
        daemon $DBHUB_BIN $DBHUB_ARGS
	RETVAL=$?
	echo
	[ $RETVAL = 0 ] && touch /var/lock/subsys/dbhub
        return $RETVAL
}

stop() 
{
        echo -n $"Shutting down dbhub: "
	killproc dbhub
	RETVAL=$?

	rm -f  /var/lock/subsys/dbhub
        echo
	return $RETVAL
}

# See how we were called.
case "$1" in
  start)
	start
        ;;
  stop)
	stop
        ;;
  force-reload|restart|reload)
	stop
	start
	;;
  try-restart|condrestart)
	[ -e /var/lock/subsys/dund ] && (stop; start)
	;;
  status)
  	status dbhub
	RETVAL=$?
	;;
  *)
        echo $"Usage: $0 {start|stop|status|restart|reload|condrestart}"
        exit 3
esac

exit $RETVAL
